NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::Offset3DCurveBuilder Class Reference

Represents a Features::Offset3DCurveBuilder builder which implements offset curves along a direction with offset distance in three dimension. More...

Inheritance diagram for NXOpen::Features::Offset3DCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool Associative ()
 Returns the flag for creating associative or non-associative feature. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fit settings
Created in NX10.0.0. More...
 
void FlipOffsetCurveDirection (NXOpen::ICurve *inputCurve, const NXOpen::Point3d &point, bool reverseDirection)
 Routine to store the output curves and the flip logical in the builder
Created in NX10.0.0. More...
 
NXOpen::SectionOffsetCurves ()
 Returns the curves to offset. More...
 
NXOpen::ExpressionOffsetDistance ()
 Returns the distance by which to offset the curves. More...
 
NXOpen::DirectionOffsetViewDirection ()
 Returns the reference direction from which to get the offset direction. More...
 
bool ReverseSide ()
 Returns the flag of reverse all offset direction. More...
 
void SetAssociative (bool associative)
 Sets the flag for creating associative or non-associative feature. More...
 
void SetOffsetCurves (NXOpen::Section *offsetCurves)
 Sets the curves to offset. More...
 
void SetOffsetViewDirection (NXOpen::Direction *offsetViewDirection)
 Sets the reference direction from which to get the offset direction. More...
 
void SetReverseSide (bool reverseDirection)
 Sets the flag of reverse all offset direction. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::Offset3DCurveBuilder builder which implements offset curves along a direction with offset distance in three dimension.


To create a new instance of this class, use NXOpen::Features::CurveFeatureCollection::CreateOffset3dCurveBuilder
Default values.

Property Value

Associative

true

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

OffsetDistance.Value

10 (millimeters part), 0.5 (inches part)


Created in NX10.0.0.

Member Function Documentation

bool NXOpen::Features::Offset3DCurveBuilder::Associative ( )

Returns the flag for creating associative or non-associative feature.


Created in NX10.0.0.

License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::Offset3DCurveBuilder::CurveFitData ( )

Returns the curve fit settings
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::Offset3DCurveBuilder::FlipOffsetCurveDirection ( NXOpen::ICurve inputCurve,
const NXOpen::Point3d point,
bool  reverseDirection 
)

Routine to store the output curves and the flip logical in the builder
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
inputCurveinputcurve
pointpoint
reverseDirectionreversedirection
NXOpen::Section* NXOpen::Features::Offset3DCurveBuilder::OffsetCurves ( )

Returns the curves to offset.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::Offset3DCurveBuilder::OffsetDistance ( )

Returns the distance by which to offset the curves.


Created in NX10.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::Offset3DCurveBuilder::OffsetViewDirection ( )

Returns the reference direction from which to get the offset direction.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::Offset3DCurveBuilder::ReverseSide ( )

Returns the flag of reverse all offset direction.


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::Offset3DCurveBuilder::SetAssociative ( bool  associative)

Sets the flag for creating associative or non-associative feature.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::Offset3DCurveBuilder::SetOffsetCurves ( NXOpen::Section offsetCurves)

Sets the curves to offset.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetCurvesoffsetcurves
void NXOpen::Features::Offset3DCurveBuilder::SetOffsetViewDirection ( NXOpen::Direction offsetViewDirection)

Sets the reference direction from which to get the offset direction.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetViewDirectionoffsetviewdirection
void NXOpen::Features::Offset3DCurveBuilder::SetReverseSide ( bool  reverseDirection)

Sets the flag of reverse all offset direction.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
reverseDirectionreversedirection

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.